Bug 136896 - Replying to own comments (based on user info)
Summary: Replying to own comments (based on user info)
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Writer-Comments
  Show dependency treegraph
 
Reported: 2020-09-19 21:06 UTC by Telesto
Modified: 2021-11-14 08:53 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example file (9.38 KB, application/vnd.oasis.opendocument.text)
2020-09-19 21:06 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2020-09-19 21:06:07 UTC
Description:
Comment reply function has disappeared

Steps to Reproduce:
1. Open the attached file
2. Click the comment drop down button, search for reply

Actual Results:
No reply on comment function

Expected Results:
Design change or removed after 'Resolved' being added


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 6.4.0.0.beta1+ (x64)
Build ID: 20be5cd0bdc57d812bf34a2debfe48caa51de881
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: GL; VCL: win; 
Locale: nl-NL (nl_NL); UI-Language: en-US
Calc: CL
Comment 1 Telesto 2020-09-19 21:06:18 UTC
Created attachment 165692 [details]
Example file
Comment 2 Telesto 2020-09-19 21:06:42 UTC
Found in
7.1

and in
6.4

fine in
6.3
Comment 3 BogdanB 2020-09-19 21:30:06 UTC Comment hidden (obsolete)
Comment 4 BogdanB 2020-09-19 21:31:43 UTC Comment hidden (obsolete)
Comment 5 BogdanB 2020-09-19 21:37:37 UTC
Ok in
Version: 7.1.0.0.alpha0+
Build ID: d57b14e3394b081adf0888ed8dcb7b86d66c246c
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: gtk3
Locale: en-US (ro_RO.UTF-8); UI: en-US
Calc: threaded

NOT OK in
Version: 7.0.2.0.0+
Build ID: b27137a7091104cce177791478e86d127680c9af
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: gtk3
Locale: ro-RO (ro_RO.UTF-8); UI: en-US
Calc: threaded
----------------------------------------------
NOT ok in
Version: 6.3.1.2
Build ID: b79626edf0065ac373bd1df5c28bd630b4424273
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: gtk3; 
Locale: ro-RO (ro_RO.UTF-8); UI-Language: en-US
Calc: threaded
----------------------------------------------
ok in Version: 5.4.7.2
Build ID: c838ef25c16710f8838b1faec480ebba495259d0
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: gtk2; 
Locale: ro-RO (ro_RO.UTF-8); Calc: group
Comment 6 Maxim Monastirsky 2020-09-20 18:43:57 UTC
The reply command is disabled for your own comments. The author of the comments in the attached file is "Unknown Author", and it considered to be you likely because you didn't set a different name under Tools > Options... > LibreOffice > User Data.

It worked like that since forever (e.g. Edit > Comment > Reply Comment was disabled, and the reply command wasn't available in the comment's right click menu), but particularly for the comment drop down box it was accidentally broken for a few releases, so in Bug 125146 I fixed the broken code, restoring the original behavior.

I have no strong opinion on whether replying to your own comments should be allowed, but: (a) the change should be a result of a proper ux discussion, (b) it should be properly implemented, and not be an accidental result of a broken code, and (c) it should be consistent between the commands of the drop down box and the main menu.
Comment 7 Heiko Tietze 2020-09-21 07:52:49 UTC
I tend to keep the current way but ideally we have a tooltip that explains why replying is not possible. That means we do not hide the menu item but disable it- and provide a tooltip.
Comment 8 Maxim Monastirsky 2020-09-21 11:38:55 UTC
Here is the original OOo spec, which states that the reply action should be available only for a different author:

https://wiki.openoffice.org/wiki/Notes2_Reply

Interesting that while replying isn't possible, the "Insert Comment" action is still active while the focus is inside a comment, and executing it creates a replying comment. So you can't "reply" to your own comment, but you can still "insert" a nested comment, which technically is the same as replying...

I also checked the behavior of MS Word, and it seems to allow replying to own comments.
Comment 9 Telesto 2020-09-21 11:54:29 UTC
Didn't check.. but what happens if 'Unknown author' writes a comment. And a different user (also Unknown author') wants to reply?
Comment 10 Maxim Monastirsky 2020-09-21 12:17:28 UTC
(In reply to Telesto from comment #9)
> Didn't check.. but what happens if 'Unknown author' writes a comment. And a
> different user (also Unknown author') wants to reply?
He can't, because the check is based solely on a string comparison, and both are "Unknown author". But that led me to a thought: 'Unknown author' is a translatable string, so what would happen if the other user use a different UI language? So I tested it (with 6.4.6), and indeed opening the attached doc with e.g. Russian UI allows me to reply. That's clearly not the intended behavior.
Comment 11 Telesto 2020-09-21 12:54:57 UTC
No clue (In reply to Maxim Monastirsky from comment #10)
> (In reply to Telesto from comment #9)
> > Didn't check.. but what happens if 'Unknown author' writes a comment. And a
> > different user (also Unknown author') wants to reply?
> He can't, because the check is based solely on a string comparison, and both
> are "Unknown author". But that led me to a thought: 'Unknown author' is a
> translatable string, so what would happen if the other user use a different
> UI language? So I tested it (with 6.4.6), and indeed opening the attached
> doc with e.g. Russian UI allows me to reply. That's clearly not the intended
> behavior.

Depends on the intended design. You can argue that a 'unknown author' can't create comments nor replay's. So string matter would be fixed..

You can argue that 'unknown author' should be able to respond to a 'unknown author'. As these could be different persons. And because it isn't much different from a reply of unknown author to an comment of a known author. 

I often have opinions.. how it should be changed.. but no clear opinion in this case.
Comment 12 Thomas Lendo 2020-09-22 15:42:48 UTC
I loved the work on Notes2 so many years ago! Thanks, Maxim, for your investigation.

I tend to:
User can't reply to the own comments.
But this should be possible when no user data is available in the options ('unknown user's in every locale).

Why? Because a) it's possible with different languages as Maxim tested (why it's possible for a Persian unknown user to a Mexican unknown user bit not to someone' comment of the same language?) and b) unknown users can be different persons as long they haven't saved user data.
Comment 13 Heiko Tietze 2020-09-25 06:58:09 UTC
We discussed the topic in the design meeting without clear recommendation.

Since OOo decided to block there might be a good reason, eg. since self-replying is schizophrenic. And we encourage users to enter personal data.
OTOH, it could be a "thread of thoughts", the unknown author issue shows the sloppy implementation (it's also possible to have users with identical names), and hot-seat scenarios (different users on the same machine) are not covered. Plus, MSO allows talking to yourself.

So we could a) do not block at all, b) unblock just "unknown author" (which requires testing the term against different l10n), c) give feedback why it's blocked (disable the command and show a tooltip), d) keep as it is.